
CephFS - Bug #43090

mds:check if oldin is null before accessing its member

12/02/2019 01:58 PM - shen hang

Status: Closed % Done: 0%

Priority: Normal   

Assignee: shen hang   

Category:    

Target version: v15.0.0   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Component(FS):  

Regression: No Labels (FS):  

Severity: 3 - minor Pull request ID: 31936

Reviewed:  Crash signature:  

Description

in mds/server : handle_client_rename:

CInode *oldin = 0;

if destdnl->is_null;

then oldin will be still 0;

it will crash when going to "if (destdnl->is_remote() && !oldin->is_auth())"

History

#1 - 12/02/2019 02:41 PM - Patrick Donnelly

- Status changed from New to Need More Info

- Assignee set to Patrick Donnelly

- Target version set to v15.0.0

Can you share your cluster version, logs, and backtrace?

#2 - 12/02/2019 02:41 PM - Patrick Donnelly

- Status changed from Need More Info to Fix Under Review

#3 - 12/02/2019 02:42 PM - Patrick Donnelly

- Assignee changed from Patrick Donnelly to shen hang

#4 - 01/24/2020 11:54 PM - Patrick Donnelly

- Status changed from Fix Under Review to Closed
